# eric7.HexEdit.HexEditGotoWidget

Module implementing a movement (goto) widget for the hex editor.

### Global Attributes

None

### Classes

HexEditGotoWidget | Class implementing a movement (goto) widget for the hex editor.

### Functions

None

## HexEditGotoWidget

Class implementing a movement (goto) widget for the hex editor.

### Derived from

QWidget, Ui_HexEditGotoWidget

### Class Attributes

None

### Class Methods

None

### Methods

HexEditGotoWidget | Constructor
__convertText | Private method to convert text from one format into another.
keyPressEvent | Protected slot to handle key press events.
on_closeButton_clicked | Private slot to close the widget.
on_formatCombo_currentIndexChanged | Private slot to handle a selection of the format.
on_gotoButton_clicked | Private slot to move the cursor and extend the selection.
on_offsetEdit_textChanged | Private slot handling a change of the entered offset.
reset | Public slot to reset the input widgets.
show | Public slot to show the widget.

### Static Methods

None

#### HexEditGotoWidget (Constructor)

HexEditGotoWidget(editor, parent=None)

Constructor

editor (HexEditWidget)
  reference to the hex editor widget
parent (QWidget)
  reference to the parent widget

#### HexEditGotoWidget.__convertText

__convertText(txt, oldFormat, newFormat)

Private method to convert text from one format into another.

txt (str)
  text to be converted
oldFormat (str)
  current format of the text
newFormat (str)
  format to convert to

Return:
  converted text

Return Type:
  str

#### HexEditGotoWidget.keyPressEvent

keyPressEvent(event)

Protected slot to handle key press events.

event (QKeyEvent)
  reference to the key press event

#### HexEditGotoWidget.on_closeButton_clicked

on_closeButton_clicked()

Private slot to close the widget.

#### HexEditGotoWidget.on_formatCombo_currentIndexChanged

on_formatCombo_currentIndexChanged(idx)

Private slot to handle a selection of the format.

idx (int)
  index of the selected entry

#### HexEditGotoWidget.on_gotoButton_clicked

on_gotoButton_clicked()

Private slot to move the cursor and extend the selection.

#### HexEditGotoWidget.on_offsetEdit_textChanged

on_offsetEdit_textChanged(offset)

Private slot handling a change of the entered offset.

offset (str)
  entered offset

#### HexEditGotoWidget.reset

reset()

Public slot to reset the input widgets.

#### HexEditGotoWidget.show

show()

Public slot to show the widget.

Up